button(nz-button, [nzType]="type", [nzSize]="size", [nzShape]="shape",
  nz-tooltip, [nzTooltipTitle]="tooltipText", [nzTooltipPlacement]="tooltipPlacement",
  nz-popconfirm, [nzPopconfirmTitle]="confirmText", [nzPopconfirmPlacement]="confirmPlacement",
  [nzOkText]="confirmOkText", [nzCancelText]="confirmCancelText", [disabled]= "disabled",
  (nzOnConfirm)="confirmOk.emit()", (nzOnCancel)="confirmCancel.emit()")
  i(*ngIf="icon", nz-icon, [nzType]="icon", [nzTheme]="iconTheme", [nzTwotoneColor]="iconThemeColor")
  span(*ngIf="label") {{ label }}
